Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Makro - alle Maße für Zeichnung markiert / nicht markiert

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Makro - alle Maße für Zeichnung markiert / nicht markiert (1311 mal gelesen)
burgmann
Mitglied



Sehen Sie sich das Profil von burgmann an!   Senden Sie eine Private Message an burgmann  Schreiben Sie einen Gästebucheintrag für burgmann

Beiträge: 97
Registriert: 08.08.2005

SE V18
Compaq nw8240

erstellt am: 14. Okt. 2005 13:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forum,

hat einer der Nutzer hier schon mal ein Makro erstellt, mit dem sich für alle Maße die Eigenschaft eines Teils/Bibliotheksfeatures von "für Zeichnung markiert" auf "nicht für Zeichnung markiert", und auch in die andere Richtung ändern lässt? Wenn ja, könnte er mir dieses zur Verfügung stellen?

Tausend Dank!

burgmann

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jens_oliver
Mitglied
Softwareentwickler


Sehen Sie sich das Profil von jens_oliver an!   Senden Sie eine Private Message an jens_oliver  Schreiben Sie einen Gästebucheintrag für jens_oliver

Beiträge: 114
Registriert: 28.06.2005

erstellt am: 17. Okt. 2005 09:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Hallo,

ich habe ein solches Makro mal auf meine Homepage gelegt. www.ib-knepper.de/download.htm
Ich hoffe es hilft Dir weiter.

Gruß Oliver

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

G. Dawg
Ehrenmitglied V.I.P. h.c.
FEM Simulant / Konstrukteur / SolidWorks Händchenhalter



Sehen Sie sich das Profil von G. Dawg an!   Senden Sie eine Private Message an GDawg  Schreiben Sie einen Gästebucheintrag für GDawg

Beiträge: 2620
Registriert: 12.07.2004

SolidWorks_2o18 SP4.o
Win10_x64, Quadro_P2ooo.
VisualStudio_2o19_Pro.
FEM: Forge_NxT_HPC, ANSYS_WB.
3D-Printer: Ultimaker_2, Tinker_Gnome.

erstellt am: 17. Okt. 2005 10:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Hallo, jens_oliver...

... wie funktioniert denn das Makro genau?
Bei mir bleibt alles beim Alten...?!?!

------------------
you can't change the world but you can leave a dent
------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jens_oliver
Mitglied
Softwareentwickler


Sehen Sie sich das Profil von jens_oliver an!   Senden Sie eine Private Message an jens_oliver  Schreiben Sie einen Gästebucheintrag für jens_oliver

Beiträge: 114
Registriert: 28.06.2005

erstellt am: 17. Okt. 2005 10:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Hi,

Als Erstes sollte ein Dialog aufgehen der Fragt ob du die Markierung für alle Maße an oder ausschalten möchtest. Wenn ein Bauteil geöffnet ist sollten dann alle Maße umgestellt werden.

Gruß Oliver

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

G. Dawg
Ehrenmitglied V.I.P. h.c.
FEM Simulant / Konstrukteur / SolidWorks Händchenhalter



Sehen Sie sich das Profil von G. Dawg an!   Senden Sie eine Private Message an GDawg  Schreiben Sie einen Gästebucheintrag für GDawg

Beiträge: 2620
Registriert: 12.07.2004

SolidWorks_2o18 SP4.o
Win10_x64, Quadro_P2ooo.
VisualStudio_2o19_Pro.
FEM: Forge_NxT_HPC, ANSYS_WB.
3D-Printer: Ultimaker_2, Tinker_Gnome.

erstellt am: 17. Okt. 2005 10:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von jens_oliver:
Als Erstes sollte ein Dialog aufgehen

...hmm...?!? Ja!? Da passiert aber nichts!   

Wenn ich aber das Makro aus dem VB Editor starte, bleibt er hier hängen: "swApp          As SldWorks.SldWorks"
"Fehler beim Kompilieren: Projekt oder Bibliothek nicht gefunden"

Wo liegt das Problem?

***
EDIT: NEVERMIND!!! Das Makro ist für 2006!!! Ich habe aber nur 2005...
***

------------------
you can't change the world but you can leave a dent
------------------

[Diese Nachricht wurde von G. Dawg am 17. Okt. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

burgmann
Mitglied



Sehen Sie sich das Profil von burgmann an!   Senden Sie eine Private Message an burgmann  Schreiben Sie einen Gästebucheintrag für burgmann

Beiträge: 97
Registriert: 08.08.2005

SE V18
Compaq nw8240

erstellt am: 17. Okt. 2005 10:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@ Jens_Oliver
>>> vielen Dank! Funktioniert echt super....
>>> Jetzt müssen wir noch schnell auf SW2006 umstellen....

Danke & Grüße

burgmann

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jens_oliver
Mitglied
Softwareentwickler


Sehen Sie sich das Profil von jens_oliver an!   Senden Sie eine Private Message an jens_oliver  Schreiben Sie einen Gästebucheintrag für jens_oliver

Beiträge: 114
Registriert: 28.06.2005

erstellt am: 17. Okt. 2005 10:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Hi,

sind bei Dir im VBA Editor unter Extras/Verweise die Bibliotheken von Solidworks markiert?

- Solidworks 2005 Constant type Library
- Solidworks Extensibility Type Library
usw

Gruß Oliver

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

G. Dawg
Ehrenmitglied V.I.P. h.c.
FEM Simulant / Konstrukteur / SolidWorks Händchenhalter



Sehen Sie sich das Profil von G. Dawg an!   Senden Sie eine Private Message an GDawg  Schreiben Sie einen Gästebucheintrag für GDawg

Beiträge: 2620
Registriert: 12.07.2004

SolidWorks_2o18 SP4.o
Win10_x64, Quadro_P2ooo.
VisualStudio_2o19_Pro.
FEM: Forge_NxT_HPC, ANSYS_WB.
3D-Printer: Ultimaker_2, Tinker_Gnome.

erstellt am: 17. Okt. 2005 10:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich


ClipBoard-1.jpg

 
Ja... ich denke schon! ---> (screenshot)

***
EDIT: Das NICHT VORHANDEN (...) macht mir Sorgen!
***

------------------
you can't change the world but you can leave a dent
------------------

[Diese Nachricht wurde von G. Dawg am 17. Okt. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jens_oliver
Mitglied
Softwareentwickler


Sehen Sie sich das Profil von jens_oliver an!   Senden Sie eine Private Message an jens_oliver  Schreiben Sie einen Gästebucheintrag für jens_oliver

Beiträge: 114
Registriert: 28.06.2005

erstellt am: 17. Okt. 2005 11:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Hi,

das Makro sucht nach den 2006 Bibliotheken (NICHT VORHANDEN ...),
diese einfach deaktivieren und die 2005 aktivieren.

Oder einfach den Inhalt(Text) in ein neues Makro kopieren.


Gruß Oliver

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

G. Dawg
Ehrenmitglied V.I.P. h.c.
FEM Simulant / Konstrukteur / SolidWorks Händchenhalter



Sehen Sie sich das Profil von G. Dawg an!   Senden Sie eine Private Message an GDawg  Schreiben Sie einen Gästebucheintrag für GDawg

Beiträge: 2620
Registriert: 12.07.2004

SolidWorks_2o18 SP4.o
Win10_x64, Quadro_P2ooo.
VisualStudio_2o19_Pro.
FEM: Forge_NxT_HPC, ANSYS_WB.
3D-Printer: Ultimaker_2, Tinker_Gnome.

erstellt am: 17. Okt. 2005 11:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Ich habe nun alles in ein neues Makro kopiert und gestartet...
"swDocPART" -> Variable nicht definiert.... 

Ich gebs auf! 

Vielen Dank, trotzdem!

------------------
you can't change the world but you can leave a dent
------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

G. Dawg
Ehrenmitglied V.I.P. h.c.
FEM Simulant / Konstrukteur / SolidWorks Händchenhalter



Sehen Sie sich das Profil von G. Dawg an!   Senden Sie eine Private Message an GDawg  Schreiben Sie einen Gästebucheintrag für GDawg

Beiträge: 2620
Registriert: 12.07.2004

SolidWorks_2o18 SP4.o
Win10_x64, Quadro_P2ooo.
VisualStudio_2o19_Pro.
FEM: Forge_NxT_HPC, ANSYS_WB.
3D-Printer: Ultimaker_2, Tinker_Gnome.

erstellt am: 17. Okt. 2005 11:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Danke, Jens Oliver!

Mit dem "Const  swDocPart=1" funkt das Ding einwandfrei!
Gäbe es nun die Möglichkeit, nur die Masse zu ändern, welche ausgewählt sind? Vielleicht möchte ich ja nicht alle ändern...!
Aber es funktioniert schon mal so wie es dedacht war! SUPER!

------------------
you can't change the world but you can leave a dent
------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanBerlitz
Guter-Geist-Moderator
IT Admin (CAx)



Sehen Sie sich das Profil von StefanBerlitz an!   Senden Sie eine Private Message an StefanBerlitz  Schreiben Sie einen Gästebucheintrag für StefanBerlitz

Beiträge: 8756
Registriert: 02.03.2000

SunZu sagt:
Analysiere die Vorteile, die
du aus meinem Ratschlag ziehst.
Dann gliedere deine Kräfte
entsprechend und mache dir
außergewöhnliche Taktiken zunutze.

erstellt am: 17. Okt. 2005 12:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Hallo Jens,

vielen Dank für das Makro ... als Anmerkung: diese Art Diskussion ist genau der Grund, warum ich meine Makros nie mit den Verweisen mache, sondern die Konstanten immer direkt einbinde und spätesten bei der Veröffentlichung auf Late Binding (also Deklarationen als algemeines Object) mache. Ist wzar meist mehr Arbeit und sieht nicht so elegant aus, läuft aber überall und ich brauch mir keine Gedanken um die SolidWorks Version machen, solange die API Commands gleich bleiben 

Ciao,
Stefan

------------------
Inoffizielle deutsche SolidWorks Hilfeseite
http://solidworks.cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jens_oliver
Mitglied
Softwareentwickler


Sehen Sie sich das Profil von jens_oliver an!   Senden Sie eine Private Message an jens_oliver  Schreiben Sie einen Gästebucheintrag für jens_oliver

Beiträge: 114
Registriert: 28.06.2005

erstellt am: 19. Okt. 2005 13:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Hallo Stefan,

ich hätte natürlich auf die Probleme mit den Verweisen hinweisen sollen. Für Anwender, die ein Makro (nur) benutzen wollen ist es immer ärgerlich wenn das Programm nicht sofort läuft. Da ich normalerweise aber größere Projekte bearbeite, ist ein sauberer Programmierstiel sehr wichtig. Ich versuche immer das „late Binding“ zu vermeiden, da zum einem die Laufzeit erhöht wird und zum andern um eine Syntax und Type Überprüfung zu haben. Da vielleicht einige Anwender das Makro noch weiter bearbeiten wollen oder sich einige Sachen abschauen wollen, denke ich ist es richtig die „saubere“ Lösung zu zeigen.

Gruß Oliver

---------------
Software nach Maß für ihr CAD-System http://www.ib-knepper.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lueghi
Mitglied



Sehen Sie sich das Profil von Lueghi an!   Senden Sie eine Private Message an Lueghi  Schreiben Sie einen Gästebucheintrag für Lueghi

Beiträge: 291
Registriert: 01.07.2005

CAD...: SWX2018 SP5, ACAD 2019, Tacton / LINO
PDM...: PRO.FILE 8.6
ERP...: proAlpha 6.2e
System: Win10, HP ZBook G5

erstellt am: 30. Nov. 2017 10:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von jens_oliver:
...
ich habe ein solches Makro mal auf meine Homepage gelegt. www.ib-knepper.de/download.htm
...


Leider läuft der Link ins Leere  . Kann mir jemand das Makro zur Verfügung stellen?

------------------
Gruß Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 698
Registriert: 18.05.2005

SolidWorks 2018 x64 SP4.0
Dell T3600 Workstation
Intel XENON 6x3.2 GHz
NVIDIA Quadro 4000 2 GB
16GB RAM
2x Dell U2412M, 24" TFT
Windows 7 Professional x64 SP1
Microsoft Office Pro 2010 SP2
Kaspersky Anti-Virus 10.2.4.674
Microsoft VB 2010 Express
SpacePilot von 3Dconnexion

erstellt am: 30. Nov. 2017 12:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Code:
Option Explicit

Dim swApp                  As SldWorks.SldWorks
Dim swModel                As SldWorks.ModelDoc2
Dim swFeat                  As SldWorks.Feature
Dim swSubFeat              As SldWorks.Feature
Dim swDispDim              As SldWorks.DisplayDimension
Dim markedForDrawing        As Boolean
Dim antwort

Sub main()

Set swApp = Application.SldWorks
antwort = MsgBox("Alle Parameter für Zeichnung markieren(Ja) deaktivieren(Nein)", vbYesNoCancel, "Ingenieurbüro Knepper")
If antwort = vbYes Then
    markedForDrawing = True
ElseIf antwort = vbNo Then
    markedForDrawing = False
Else
    Exit Sub
End If

Set swModel = swApp.ActiveDoc
If swModel Is Nothing Then
    antwort = MsgBox("Kein aktives Bauteil!", vbCancel, "Ingenieurbüro Knepper")
    Exit Sub
End If

If (swModel.GetType = swDocPART) Then
  Set swFeat = swModel.FirstFeature
    Do While Not swFeat Is Nothing
        Set swSubFeat = swFeat.GetFirstSubFeature
        Do While Not swSubFeat Is Nothing
            Set swDispDim = swSubFeat.GetFirstDisplayDimension
            Do While Not swDispDim Is Nothing
                swDispDim.markedForDrawing = markedForDrawing
                Set swDispDim = swSubFeat.GetNextDisplayDimension(swDispDim)
            Loop
            Set swSubFeat = swSubFeat.GetNextSubFeature
        Loop
        Set swDispDim = swFeat.GetFirstDisplayDimension
        Do While Not swDispDim Is Nothing
            swDispDim.markedForDrawing = markedForDrawing
            Set swDispDim = swFeat.GetNextDisplayDimension(swDispDim)
        Loop
        Set swFeat = swFeat.GetNextFeature
    Loop
  Else
  antwort = MsgBox("Kein aktives Bauteil!", vbCancel, "Ingenieurbüro Knepper")
End If

End Sub


------------------
21 ist nur die halbe Antwort.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lueghi
Mitglied



Sehen Sie sich das Profil von Lueghi an!   Senden Sie eine Private Message an Lueghi  Schreiben Sie einen Gästebucheintrag für Lueghi

Beiträge: 291
Registriert: 01.07.2005

CAD...: SWX2018 SP5, ACAD 2019, Tacton / LINO
PDM...: PRO.FILE 8.6
ERP...: proAlpha 6.2e
System: Win10, HP ZBook G5

erstellt am: 01. Dez. 2017 12:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für burgmann 10 Unities + Antwort hilfreich

Ein herzliches Dankeschön!

------------------
Gruß Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz